package com.vendor.loader.struct;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.loader.struct.FlashType;
import com.vendor.loader.struct.UpgradeFileInfo;

public class PartFile {
  private String partitionName;
  
  private int partitionVersion;
  
  private int partitionVerifyTag;
  
  private String fileName;
  
  private int len;
  
  private FlashType uFlashType;
  
  private int lFlashIndex;
  
  private long burnAddr;
  
  private long uPartitionEndAddr;
  
  private long fileSize;
  
  private int crcValue;
  
  private int datagramNum;
  
  private short moduleId;
  
  private byte moduleVersion;
  
  private long sectionNum;
  
  private long lastDiagramDataLength;
  
  public void init(UpgradeFileInfo f) {
    this.fileName = f.getFileName();
    this.fileSize = f.getFileLength();
    this.burnAddr = f.getStartAddress();
    this.uPartitionEndAddr = f.getEndAddress();
    this.uFlashType = f.getFlashType();
    this.lFlashIndex = f.getFlashIndex();
    this.partitionName = f.getPartitionName();
    this.partitionVersion = f.getPartitionVersion();
    this.partitionVerifyTag = f.getPartitionVerifyTag();
  }
  
  public void init(UpgradeFileInfo f, int g_u32GroupId, int index) {
    this.fileName = f.getFileName();
    this.fileSize = f.getFileLength();
    this.burnAddr = f.getStartAddress();
    this.uPartitionEndAddr = f.getEndAddress();
    this.uFlashType = f.getFlashType();
    this.lFlashIndex = f.getFlashIndex();
    this.moduleId = (short)((g_u32GroupId & 0xFF) << 8 | index + 1);
    this.moduleVersion = 100;
    this.partitionName = f.getPartitionName();
    this.partitionVersion = f.getPartitionVersion();
    this.partitionVerifyTag = f.getPartitionVerifyTag();
  }
  
  public int getPartitionVersion() {
    return this.partitionVersion;
  }
  
  public int getPartitionVerifyTag() {
    return this.partitionVerifyTag;
  }
  
  public String getFileName() {
    return this.fileName;
  }
  
  public void setFileName(String fileName) {
    this.fileName = fileName;
  }
  
  public int getLen() {
    return this.len;
  }
  
  public FlashType getuFlashType() {
    return this.uFlashType;
  }
  
  public int getlFlashIndex() {
    return this.lFlashIndex;
  }
  
  public long getFileSize() {
    return this.fileSize;
  }
  
  public int getDatagramNum() {
    return this.datagramNum;
  }
  
  public int getCrcValue() {
    return this.crcValue;
  }
  
  public void setCrcValue(int crcValue) {
    this.crcValue = crcValue;
  }
  
  public void setDatagramNum(int datagramNum) {
    this.datagramNum = datagramNum;
  }
  
  public short getModuleId() {
    return this.moduleId;
  }
  
  public byte getModuleVersion() {
    return this.moduleVersion;
  }
  
  public long getSectionNum() {
    return this.sectionNum;
  }
  
  public void setSectionNum(long sectionNum) {
    this.sectionNum = sectionNum;
  }
  
  public long getLastDiagramDataLength() {
    return this.lastDiagramDataLength;
  }
  
  public void setLastDiagramDataLength(long lastDiagramDataLength) {
    this.lastDiagramDataLength = lastDiagramDataLength;
  }
  
  public long getBurnAddr() {
    return this.burnAddr;
  }
  
  public long getuPartitionEndAddr() {
    return this.uPartitionEndAddr;
  }
  
  public String getPartitionName() {
    return this.partitionName;
  }
}
